Subject: bug#28630: 27.0.50; C-g while a non-main thread is sitting crashes Emacs

From: Alex <[email-masked]>
Date: Sun, 01 Oct 2017 12:10:40 -0600

Eli Zaretskii <[email-masked]> writes:

>> From: Alex <[email-masked]>
>> Cc: [email-masked], Tom Tromey <[email-masked]>
>> Date: Sat, 30 Sep 2017 21:18:08 -0600
>> 
>> Should this be labelled a blocker for Emacs 26?
>
> Maybe I'm not sure.  It doesn't sound like threads are used much, if
> at all, which would make blocking on it silly.

It's understandable that bug 25214 isn't a blocker for this reason, but
I think crashing is severe enough to be a blocker, especially since it's
somewhat trivial to trigger.

>> Also, replacing (sit-for 2) with (read-char) or its family and hitting
>> C-g will also crash Emacs.
>
> Is your Emacs built with --enable-checking?  Because I get an
> assertion violation in that case, not a crash.

I just tried building with "./configure --enable-checking" and it still
crashes for me.